## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate git2

Name:           rust-%{crate}
Version:        0.14.4
Release:        %autorelease
Summary:        Bindings to libgit2 for interoperating with git repositories

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/git2
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Bindings to libgit2 for interoperating with git repositories. This library is
both threadsafe and memory safe and allows both reading and writing git
repositories.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-devel %{_description}

This package contains library source intended for building other packages which
use the "https" feature of the "%{crate}" crate.

%files       -n %{name}+https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-probe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-probe-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-probe" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-probe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-sys" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssh-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh-devel %{_description}

This package contains library source intended for building other packages which
use the "ssh" feature of the "%{crate}" crate.

%files       -n %{name}+ssh-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssh_key_from_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh_key_from_memory-devel %{_description}

This package contains library source intended for building other packages which
use the "ssh_key_from_memory" feature of the "%{crate}" crate.

%files       -n %{name}+ssh_key_from_memory-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vendored-libgit2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vendored-libgit2-devel %{_description}

This package contains library source intended for building other packages which
use the "vendored-libgit2" feature of the "%{crate}" crate.

%files       -n %{name}+vendored-libgit2-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo '/usr/bin/git'
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.14.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Fabio Valentini <decathorpe@gmail.com> 0.14.4-1
- Update to version 0.14.4; Fixes RHBZ#2058285

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.13.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 01 2021 Fabio Valentini <decathorpe@gmail.com> 0.13.25-1
- Update to version 0.13.25; Fixes RHBZ#2028145

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.13.24-1
- Update to 0.13.24

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.20-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.13.20-1
- Update to version 0.13.20.
- Fixes RHBZ#1964022

* Mon May 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.13.19-1
- Update to version 0.13.19.
- Fixes RHBZ#1951069

* Fri Feb 05 19:41:08 CET 2021 returntrip <stefano@figura.im> - 0.13.17-1
- Update to 0.13.17 (Fixes: RHBZ#1918811)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 08:55:22 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.15-1
- Update to 0.13.15 (Fixes: RHBZ#1909219)

* Mon Dec 28 17:46:07 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.14-1
- Update to 0.13.14 (Fixes: RHBZ#1909219)

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.13.12-1
- Update to version 0.13.12.
- Fixes RHBZ#1888076

* Fri Sep 18 2020 Fabio Valentini <decathorpe@gmail.com> - 0.13.11-1
- Update to version 0.13.11.

* Fri Aug 21 2020 Josh Stone <jistone@redhat.com> - 0.13.10-1
- Update to 0.13.10

* Wed Aug 19 2020 Josh Stone <jistone@redhat.com> - 0.13.9-1
- Update to 0.13.9

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.13.8-1
- Update to 0.13.8

* Tue May 19 19:55:47 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.6-1
- Update to 0.13.6

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.13.5-1
- Update to 0.13.5

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.13.4-1
- Update to 0.13.4

* Wed Apr 15 08:47:49 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Thu Mar 19 10:57:28 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.12.0-1
- Update to 0.12.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 09:30:32 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0

* Thu Nov 28 11:19:32 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2

* Tue Nov 19 11:18:59 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 00:20:24 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-2
- Regenerate

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.5-1
- Update to 0.7.5

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-2
- Bump docopt to 1

* Fri Mar 23 2018 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-2
- Rebuild for rust-packaging v5

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-1
- Update to 0.6.10

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.9-1
- Update to 0.6.9

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.8-1
- Initial package

